package com.ytpm.lemonios.dao;

import com.ytpm.app.model.YtDyzLoginRecord;
import com.ytpm.app.param.AppUserQueryParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LoginRecordMapper {
    /**
     * 增加用户登录记录
     */
    void insertOne(YtDyzLoginRecord loginRecord);

    /**
     * 查询用户登录记录
     */
    List<YtDyzLoginRecord> getLoginRecords(@Param("userId")String userId);

    List<YtDyzLoginRecord> getLoginRecordByIds(@Param("userIds")String userIds);

    List<String> queryLoginCount(AppUserQueryParam appUserQueryParam);

    /**
     * 查询最近一次登陆记录
     */
    YtDyzLoginRecord getLastLoginRecord(@Param("userId")String userId, @Param("isVisitor") Integer  isVisitor);
}
